Subject: Re: bug#75655: configure doesn't update Makefile

From: Stefan Kangas <[email-masked]>
Date: Thu, 23 Jan 2025 12:13:15 -0600

Eli Zaretskii <[email-masked]> writes:

> You should not have uncommitted changes, ever.  Always either commit
> them (on a local branch if needed) or stash them.  Keeping uncommitted
> changes runs the risk of pushing them inadvertently with unrelated
> changes (it happened to me and to others).

FWIW, while you're probably right in the abstract, I have a habit of
doing exactly that.  This is for various reasons: it's impractical to
commit them only to a specific branch, stashing gets old quick, and it's
also quite inconvenient to keep them outside the repository.  Right now,
for instance, I have nine important yet untracked files in my
repository.

I can't remember that I have ever committed any unrelated files by
accident.  It seems hard to make that mistake in Magit, but what do I
know.